Inventory

Get Inventory

GET
/inventory

Returns an Inventory object.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
offset?integer

A zero-based offset from the default object sorting from where search results start.

Range0 <= value
holderId?string

The UserID of the owner of the inventory; defaults to the currently authenticated user.

equipSlot?string

Filter for inventory retrieval.

Default""
Value in"" | "drone" | "portal" | "warp"
order?string

Sort order for inventory retrieval.

Value in"newest" | "newest_created" | "oldest" | "oldest_created"
tags?string

Filter tags for inventory retrieval (comma-separated).

Length1 <= length
types?string

Filter for inventory retrieval.

Default"bundle"
Value in"bundle" | "droneskin" | "emoji" | "portalskin" | "prop" | "sticker" | "warpeffect"
flags?string

Filter flags for inventory retrieval (comma-separated).

Default"instantiatable"
Value in"archivable" | "cloneable" | "consumable" | "equippable" | "instantiatable" | "trashable" | "ugc" | "unique"
notTypes?string

Filter out types for inventory retrieval (comma-separated).

Default"bundle"
Value in"bundle" | "droneskin" | "emoji" | "portalskin" | "prop" | "sticker" | "warpeffect"
notFlags?string

Filter out flags for inventory retrieval (comma-separated).

Default"instantiatable"
Value in"archivable" | "cloneable" | "consumable" | "equippable" | "instantiatable" | "trashable" | "ugc" | "unique"
archived?boolean

Filter archived status for inventory retrieval.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/inventory"
{
  "data": [
    {
      "collections": [
        "string"
      ],
      "created_at": "2025-06-13T05:00:45.455Z",
      "defaultAttributes": {
        "property1": {
          "defaultValue": "string",
          "validator": {
            "type": "string"
          }
        },
        "property2": {
          "defaultValue": "string",
          "validator": {
            "type": "string"
          }
        }
      },
      "description": "string",
      "equipSlot": "drone",
      "equipSlots": [
        "drone"
      ],
      "expiryDate": "2025-06-13T05:00:45.455Z",
      "flags": [
        "string"
      ],
      "holderId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
      "id": "inv_10bce5b0-2d2b-44e0-900d-db6534615162",
      "imageUrl": "string",
      "isArchived": true,
      "isSeen": true,
      "itemType": "prop",
      "itemTypeLabel": "string",
      "metadata": {
        "animated": true,
        "animationStyle": "string",
        "assetBundleId": "string",
        "fileId": "string",
        "imageUrl": "string",
        "inventoryItemsToInstantiate": [
          "invt_b80ce14b-038b-4f56-b970-d232771d62e3"
        ],
        "maskTag": "string",
        "propId": "prop_829ba6f6-b837-49d9-b9a9-056b82103b58"
      },
      "name": "string",
      "quantifiable": true,
      "tags": [
        "string"
      ],
      "templateId": "invt_b80ce14b-038b-4f56-b970-d232771d62e3",
      "template_created_at": "2025-06-09T16:31:40.785Z",
      "template_updated_at": "2025-06-25T00:34:14.578Z",
      "updated_at": "2025-06-25T00:34:15.965Z",
      "userAttributes": {
        "primaryColor": "string",
        "secondaryColor": "string",
        "trailColor": "string"
      },
      "validateUserAttributes": true
    }
  ],
  "totalCount": 0
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "You don't have permission․",
    "status_code": 403
  }
}